package com.tuoheng.admin.enums.code.inspection;

/**
 *  删除任务信息返回码
 *      模块代码：23（任务管理）
 *      接口代码：02 （删除任务）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-24
 */
public enum DeleteInspectionCodeEnum {

    DELETE_IS_FAILED(1230200, "删除任务失败"),
    ID_IS_NULL(1230201, "任务ID为空"),
    INSPECTION_IS_NOT_EXIST(1230202, "任务不存在"),
    IN_FLIGHT_NOT_DELETE(1230203, "飞行中无法删除"),
    ADMIN_NOT_DELETE_CHILD_INSPECTION(1230204, "管理员不能删除子部门任务"),
    ORDINARY_USER_NO_PERMISSION_TO_DELETE(1230205, "普通用户无删除任务权限");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    DeleteInspectionCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
